zdrscl.f(3)

NAME
zdrscl.f -

SYNOPSIS

  Functions/Subroutines
subroutine zdrscl (N, SA, SX, INCX)
ZDRSCL multiplies a vector by the reciprocal of a real scalar.

Function/Subroutine Documentation

  subroutine zdrscl (integerN, double precisionSA, complex*16, dimension( * )SX, integerINCX)

ZDRSCL multiplies a vector by the reciprocal of a real scalar.

Purpose:

     ZDRSCL multiplies an n-element complex vector x by the real scalar
     1/a.  This is done without overflow or underflow as long as
     the final result x/a does not overflow or underflow.

Parameters:
    N

              N is INTEGER
              The number of components of the vector x.

    SA

              SA is DOUBLE PRECISION
              The scalar a which is used to divide each component of x.
              SA must be >= 0, or the subroutine will divide by zero.

    SX

              SX is COMPLEX*16 array, dimension
                             (1+(N-1)*abs(INCX))
              The n-element vector x.

    INCX

              INCX is INTEGER
              The increment between successive values of the vector SX.
              > 0:  SX(1) = X(1) and SX(1+(i-1)*INCX) = x(i),     1< i<= n

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 85 of file zdrscl.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.